%global momorel         1 

%define	manver		20070615
%define	use_utf8	1

Name: man-pages-ja
Version: %{manver}
Release: %{momorel}m%{?dist}
License: see "README"
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.linux.or.jp/JM/

Source: http://www.linux.or.jp/JM/%{name}-%{manver}.tar.gz
NoSource: 0
Source1: rh-man-pages-ja.pl
Patch: %{name}-20010515-rh.patch
Patch1: %{name}-20011115-fixpipe.patch
Patch2: %{name}-20030415-utf8.patch
Patch3: %{name}-20031215-crontab-0days.patch
#Patch5: man-pages-ja-20051115-libaio.patch
Patch8: man-pages-ja-20050215-ls.patch
Patch9: man-pages-ja-20060815-204667-nfs.5.patch
Patch10: man-pages-ja-20060815-204664-write.2.patch
Patch11: man-pages-ja-20060815-178955-at.1.patch

Summary: Japanese man (manual) pages from the Japanese Manual Project
Group: Documentation
%description
Japanese Manual pages, translated by JM-Project (Japanese Manual Project).

%prep
%setup -q -n %{name}-%{manver}
%patch -p1 -b .jp
%patch1 -p1 -b .pipe
%if %{use_utf8}
%patch2 -p1 -b .utf8
%endif
%patch3 -p1 -b .0days
#%patch5 -p1 -b .libaio
%patch8 -p1 -b .ls
%patch9 -p1 -b .nfs
#%patch10 -p1 -b .write
%patch11 -p1 -b .at

%build
perl %{SOURCE1} %{buildroot} | make

%install
rm -fr %{buildroot}

sh ./installman.sh

rm -f %{buildroot}%{_mandir}/ja/man1/{chage.1,gpasswd.1,sg.1,apropos.1,man.1,whatis.1,newgrp.1}*
rm -f %{buildroot}%{_mandir}/ja/man5/{faillog.5,shadow.5,login.defs.5}*
rm -f %{buildroot}%{_mandir}/ja/man8/{adduser.8,chpasswd.8,faillog.8,groupadd.8,groupdel.8,groupmod.8,grpck.8,grpconv.8,grpunconv.8,lastlog.8,newusers.8,pwck.8,pwconv.8,pwunconv.8,useradd.8,userdel.8,usermod.8,rpm2cpio.8}*
rm -f %{buildroot}%{_mandir}/ja/man8/{rpmgraph,rpmcache,rpmbuild,rpm}.8*

# fix su(1) man page.
if [ -f %{_builddir}/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 ]; then
	rm -f %{buildroot}%{_mandir}/ja/man1/su.1*
%if %{use_utf8}
	iconv -f euc-jp -t utf-8 %{_builddir}/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 > %{buildroot}%{_mandir}/ja/man1/su.1
%else
	cp -a %{_builddir}/%{name}-%{version}/manual/GNU_sh-utils/man1/su.1 %{buildroot}%{_mandir}/ja/man1/
%endif
fi
# fix kill(1) man page.
if [ -f %{_builddir}/%{name}-%{version}/manual/util-linux/man1/kill.1 ]; then
	rm -f %{buildroot}%{_mandir}/ja/man1/kill.1*
%if %{use_utf8}
	iconv -f euc-jp -t utf-8 %{_builddir}/%{name}-%{version}/manual/util-linux/man1/kill.1 > %{buildroot}%{_mandir}/ja/man1/kill.1
%else
	cp -a %{_builddir}/%{name}-%{version}/manual/util-linux/man1/kill.1 %{buildroot}%{_mandir}/ja/man1/
%endif
fi
# fix chown(1) man page.
if [ -f %{_builddir}/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 ]; then
	rm -f %{buildroot}%{_mandir}/ja/man1/chown.1*
%if %{use_utf8}
	iconv -f euc-jp -t utf-8 %{_builddir}/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 > %{buildroot}%{_mandir}/ja/man1/chown.1
%else
	cp -a %{_builddir}/%{name}-%{version}/manual/GNU_fileutils/man1/chown.1 %{buildroot}%{_mandir}/ja/man1/
%endif
fi
# For Bug#128612
mv %{buildroot}%{_mandir}/ja/man8/in.telned.8.gz %{buildroot}%{_mandir}/ja/man8/in.telnetd.8.gz
# For Bug#128833
mv %{buildroot}%{_mandir}/ja/man8/in.rlogin.8.gz %{buildroot}%{_mandir}/ja/man8/in.rlogind.8.gz

# accumulate translation_lists
mkdir %{_builddir}/%{name}-%{version}/translation_lists
(cd %{_builddir}/%{name}-%{version}/manual
for i in `find -type f -name translation_list`; do
	package=`basename \`dirname $i\``;
	name=`basename $i`;
	if [ -s $i ]; then
		cp -a $i %{_builddir}/%{name}-%{version}/translation_lists/$package.$name;
	fi
done
)
 
%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc README translation_lists
%{_mandir}/ja/*/*

%changelog
* Sun Jul  1 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (20070615-1m)

* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20070315-2m)
- modify %%files to avoid conflicting with man

* Fri Jun 15 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (20070315-1m)
- sync Fedora

* Sun Mar 18 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6-0.20070315-1m)

* Thu Mar  1 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6-0.20070215-1m)

* Tue Jan  2 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6-0.20061215-1m)

* Sun Nov 19 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6-0.20061115-1m)

* Thu Oct 26 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6-0.20061015-1m)

* Wed Jun  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-0.20060415.2m)
- modify %%install to avoid conflicting with shadow-utils

* Sun Apr 23 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6-0.20060415.1m)

* Wed Feb 23 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.6-0.20050215.1m)

* Sat Sep  4 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6-0.20040515.3m)
- avoid conflict with util-linux-2.12b

* Wed Jul 28 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.6-0.20040515.2m)
- avoid conflict with rpm-4.2.2

* Sat May 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040515.1m)

* Sun Apr 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040415.1m)

* Mon Mar 29 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6-0.20040315.2m)
- avoid conflict with rpm 4.2.1, I know it's too early but please be patient.

* Sun Mar 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040315.1m)

* Sun Feb 22 2004 Kenta MURATA <muraken2@nifty.com>
- (0.6-0.20040215.4m)
- dig

* Thu Feb 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040215.1m)

* Tue Jan 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20040115.1m)

* Sat Jan 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20031215.1m)

* Tue Nov 11 2003 zunda <zunda at freeshell.org>
- (0.6-0.20030815.3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct  1 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.6-0.20030815.2m)
- fix typo in ldconfig.8 (ldcofig -> ldconfig)

* Tue Aug 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030815.1m)

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.6-0.20030715.2m)
- remove -q from man-page of ldconfig

* Mon Jul 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030715.1m)

* Tue Jul 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-0.20030615.2m)
- rm rpm.8 rpm2cpio.8 for avoid conflict rpm-4.0.4-53m

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030615.1m)

* Sat Jun  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030525.1m)
- remove 'mount.8.diff' that seemed to be merged

* Wed Apr 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030415.1m)

* Mon Mar 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030315.1m)

* Mon Feb 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030217.1m)

* Thu Feb  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.6-0.20030115.2m)
- revice mount.8 for util-linux-2.11r-moremisc-2.patch in util-linux

* Fri Jan 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20030115.1m)

* Mon Dec 16 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20021215.1m)

* Sun Nov 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20021115.1m)

* Thu Oct 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20021015.1m)

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20020915.1m)
- 20020915 version

* Sat Aug 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-0.20020816.1m)
- 20020816 version

* Mon Jul 29 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.5-14m)
- remove zebedee

* Sun Jul 28 2002 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (0.5-13m)
- 20020715 version

* Sat May 18 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-12k)
- 20020515 version

* Tue Apr 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-10k)
- 20020415 version

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-8k)
- 20020315 version
- NoSource again

* Mon Jan 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.5-6k)
- update to man-pages-ja-20020115
- remove sendmail (conflict with postfix-japanese-manual)

* Thu Jan 10 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-4k)
- revise a spec file

* Wed Jan 09 2002 TABUCHI Takaaki <tab@kondara.org>
- (0.5-2k)
- version up to 0.5-0.006k to 0.5-2k (man-page-ja 20010815 to 0.5-20011215)
- back port from Jirai

* Thu Dec  6 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.5-0.006k)
- 20010815 version

* Tue Nov 28 2001 Toru Hoshina <toru@df-usa.com>
- (0.5-0.002k)
- kesisugi.

* Fri May 25 2001 Toru Hoshina <toru@df-usa.com>
- version up.

* Sun Feb 04 2001 Kenichi Matsubara <m@kondara.org>
- remove samba.

* Wed Sep 20 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsr?<teg@redhat.com>
- first build
